package apumetodit;

/**
 * Luodaan random-numero, vaihe 5 tehtäessä
 * Tarkoituksena tarkistetaan, että ei ole sama kurssi on luotu yms.
 * @author aichi
 * @version 27 Feb 2025
 *
 */
public class RandomNumero {
    /**
     * Arvotaan satunnainen kokonaisluku välille [ala,yla]
     * @param ala arvonnan alaraja
     * @param yla arvonnan yläraja
     * @return satunnainen luku väliltä [ala,yla]
     */
    public static int rand(int ala, int yla) {
      double n = (yla-ala)*Math.random() + ala;
      return (int)Math.round(n);
    }

}
