package fxMMKurssit;

import javafx.application.Application;
//import javafx.application.Platform;
import javafx.stage.Stage;
import mmkurssit.MMKurssit;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author aichinos
 * @version 5.2.2025
 *
 *
 *  HUOM!! vaiheen loppuessa laita tag, alussa uusi branch! + vaiheen lopussa laita tag
 *  
 *  Puuttuu
 *    - tamaapisen tietojen sivun modify-button jälkeen tuleva näkymä, jossa on sekä save- että delete-button.
 *    - sama kurssin tietojen sivun modify-button jälkeen tuleva näkymä
 *    Onko mahdollista, että ne kaksi napit ovat jo paikoillaan mutta ennen käyttäjä painaa "modify" niin ne ovat invisible?
 *    Eli painamalla modify-nappia, kahden nappien näkövyys asetukset ja texstikentän muokkaaminen avaaminen
 *    
 *    TODO:
 *    Testien kirjoittaminen jokaisen kohtaan, junit suiten luominen (ettei tarvitse ajaa kaikki testit erikseen)
 */


public class MMKurssitMain extends Application {
    
    @Override    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("MMKurssitGUIView.fxml"));
            final Pane root = ldr.load();
            final MMKurssitGUIController mmkurssitCtrl = (MMKurssitGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("mmkurssit.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("MMKurssit");
            
            MMKurssit mmkurssit = new MMKurssit();
            mmkurssitCtrl.setMMKurssit(mmkurssit);
        
            primaryStage.show();
        } catch(Exception e) {
           e.printStackTrace();
        }
    }

    
    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}